petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSAdjointComputeCostIntegrand

Evaluates the integral function in the cost functions.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointComputeCostIntegrand(TS ts,PetscReal t,Vec y,Vec q)

### Input Parameters

| ts | - the TS context
| t | - current time
| y | - state vector, i.e. current solution

### Output Parameter

q -vector of size numcost to hold the outputs

### Note

Most users should not need to explicitly call this routine, as it is used internally within the sensitivity analysis context.

### Keywords

TS, compute

### See Also

TSSetCostIntegrand()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages